#!/bin/bash

GHIDRA_PROJECT="challenge4"
BIN_FILE="mars_ssh"
GHIDRA_BIN_FILE=`basename $BIN_FILE`
if [[ ! -v GHIDRA_HOME ]]; then
    GHIDRA_HOME="/opt/ghidra"
fi

$GHIDRA_HOME/support/analyzeHeadless . $GHIDRA_PROJECT -process $GHIDRA_BIN_FILE -scriptPath ./ghidra_scripts -postScript $@
